#include <bits/stdc++.h>
using namespace std;
string S, T, p, s, t;
int br, BR, Br, x, y, a, b, c, n;
bool rec=false, REC=false;
int main(){
    cin >> T >> S;
    if(S=="a"){
        for(int i=1; i<=T.size(); i++){
            if(T.substr(i-1, 1)=="a"){
                T.replace(i-1, 1, "*");
                br++;
            }
        }
        cout << br << endl << T << endl;
    }
    if(S=="ab"){
        for(int i=1; i<=T.size(); i++){
            if(T.substr(i-1, 1)=="a"){
                p=T.substr(i-1, T.size()-i);
                break;
            }
        }
        for(int i=1; i<=p.size(); i++){
            if(p.substr(i-1, 1)=="b"){
                rec=true;
                break;
            }
        }
        if(rec==true){
            for(int i=1; i<=T.size(); i++){
                if(T.substr(i-1, 1)=="a") x++;
                if(T.substr(i-1, 1)=="b") y++;
            }
            if(x>=y){
                for(int i=1; i<=T.size(); i++){
                    if(T.substr(i-1, 1)=="b"){
                        T.replace(i-1, 1, "*");
                        BR++;
                    }
                }
            }
            else{
                for(int i=1; i<=T.size(); i++){
                    if(T.substr(i-1, 1)=="a"){
                        T.replace(i-1, 1, "*");
                        Br++;
                    }
                }
            }
            cout << Br << endl << T << endl;
        }
        else{
            cout << 0 << endl << T << endl;
        }
    }
    if(S=="abc"){
        for(int i=1; i<=T.size(); i++){
            if(T.substr(i-1, 1)=="a"){
                s=T.substr(i-1, T.size()-i);
                break;
            }
        }
        for(int i=1; i<=s.size(); i++){
            if(s.substr(i-1, 1)=="b"){
                t=s.substr(i-1, T.size()-i);
                break;
            }
        }
        for(int i=1; i<=t.size(); i++){
            if(t.substr(i-1, 1)=="c"){
                REC=true;
                break;
            }
        }
        if(REC==true){
            for(int i=1; i<=T.size(); i++){
                if(T.substr(i-1, 1)=="a") a++;
                if(T.substr(i-1, 1)=="b") b++;
                if(T.substr(i-1, 1)=="c") c++;
            }
            n=min(a, b);
            if(a==b and b==c){
                for(int i=1; i<=T.size(); i++){
                    if(T.substr(i-1, 1)=="a"){
                        T.replace(i-1, 1, "*");
                        BR++;
                    }
                }
            }
            else if(min(n, c)==a){
                for(int i=1; i<=T.size(); i++){
                    if(T.substr(i-1, 1)=="a"){
                        T.replace(i-1, 1, "*");
                        BR++;
                    }
                }
            }
            else if(min(n, c)==b){
                for(int i=1; i<=T.size(); i++){
                    if(T.substr(i-1, 1)=="b"){
                        s.replace(i-1, 1, "*");
                        BR++;
                    }
                }
            }
            else if(min(n, c)==c){
                for(int i=1; i<=T.size(); i++){
                    if(T.substr(i-1, 1)=="c"){
                        t.replace(i-1, 1, "*");
                        BR++;
                    }
                }
            }
            cout << BR << endl << T << endl;
        }
        else{
            cout << 0 << endl << T << endl;
        }
    }
    return 0;
}